/*
 * A simple application that just outputs the machines current IP Address
 *
 * Copyright (C) 2021 by David Goodwin <david@zx.net.nz>
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#include <stdio.h>
#include <sys/socket.h>

int main() {
	char* netaddr;
	struct in_addr in;
	extern int errno;

	in.s_addr = getmyipaddr();
	netaddr = inet_ntoa(in);

	if (errno == ENO_RCB) {
		printf("Error: Socket library is out of resources!\n");
		return 1;
	} else if (errno == ENOTINSTLD) {
		printf("Error: Protocol not installed\n");
		return 1;
	}

	printf("IP Address: %s\n", netaddr);

	return 0;
}